#ifndef UART_H__
#define UART_H__

#include <stdint.h>
#include "sdk_errors.h"
#include "nrf_serial.h"

#define UART_TX_BUF_SIZE                256                                         /**< UART TX buffer size. */
#define UART_RX_BUF_SIZE                256                                         /**< UART RX buffer size. */

//void sleep_handler(void);
void uart_init(void);
void ble_command_handler(const uint8_t * p_command_str, uint16_t length);
//void uart_event_handle(struct nrf_serial_s const *p_serial, nrf_serial_event_t event);
//static void uart_event_handle(app_uart_evt_t * p_event);

ret_code_t uart_main_send_string(const char *str);
ret_code_t uart_main_send_bytesArray(uint8_t data_array[], uint8_t nbr_bytes);
ret_code_t uart_log_send_string(const char *str);
ret_code_t uart_log_send_stringWithFrame(const char *str, uint8_t data_array[], uint8_t nbr_bytes);

#endif