#ifndef UART_INTERPRETER_H__
#define UART_INTERPRETER_H__
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>
#include "sdk_errors.h"

#define CMD_RESULT_ERROR 0
#define CMD_RESULT_OK 1

void uart_interpreter_process_data_received(uint8_t data);
static void process_received_frame(void * p_event_data, uint16_t event_size);
static void process_uart_cmd(uint16_t cmd, uint8_t *cmd_parameters);
ret_code_t get_list_ip_thread_interface();
ret_code_t get_thread_rloc_address();
ret_code_t get_thread_neighbors_list();
ret_code_t get_thread_routing_table();
ret_code_t send_thread_message(uint8_t indexInRoutingTable, char* message, uint8_t messageLength);
ret_code_t send_ack(uint8_t syncFlag, uint16_t cmd, bool cmdResult, uint8_t nbrData, uint8_t *data);

#endif